<h2 mat-dialog-title>{{ data.title }}</h2>
<mat-dialog-content>
  <form autocomplete="off" [formGroup]="cardForm" (ngSubmit)="handleForm()" id="cardFormSubmit">
    <input type="text" hidden [formControl]="cardForm.get('study_set')" />
    <app-input [inputFormControl]="cardForm.get('term')" [label]="'Term'" [iconName]="'title'" [type]="'text'"
      [placeholder]="'Enter the term of your card'"></app-input>
    <app-input [inputFormControl]="cardForm.get('definition')" [label]="'Definition'" [iconName]="'notes'"
      [type]="'text'" [placeholder]="'Enter the definition of your card'"></app-input>
  </form>
</mat-dialog-content>
<mat-dialog-actions>
  <button mat-button mat-dialog-close="false">Cancel</button>
  <button *ngIf="!data.card" type="submit" [disabled]="!validForm" mat-button [mat-dialog-close]="cardForm.value"
    form="cardFormSubmit">
    Create Card
  </button>
  <button *ngIf="data.card" type="submit" [disabled]="!validForm" mat-button [mat-dialog-close]="cardForm.value"
    form="cardFormSubmit">
    Edit Card
  </button>
</mat-dialog-actions>
